<?php
	//appel fichier internationalisation
	$registry = Yab_Loader::getInstance() -> getRegistry();
    $i18n = $registry -> get('i18n');
    $filter_no_html = new Yab_Filter_NoHtml();

    //Verification champs requis
	function isRequired($cle,$elt){
		try{
			$rows= $cle->getElement($elt)->get('validators');
			for($i=0; $i < sizeof($rows); $i++){
				if(isset($rows[$i])){
					if($rows[$i] == "NotEmpty"){
						return true;
					}
				}
			}					
			throw new Exception("");
			return false;
		}catch(Exception $e){
			echo '';
		}
	}
?>

<link rel="stylesheet" href="http://code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css">
<script src="<?php echo $request->getBaseUrl(); ?>/2.0/js/autocomplete/jquery-ui.js"></script>
<script>
    var txtAddButton = "<?php echo $filter_no_html->filter( $i18n -> say('button_add_relation')) ; ?>";
    var txtEditButton = "<?php echo $filter_no_html->filter( $i18n -> say('button_edit_relation')) ; ?>";
</script>
<script src="<?php echo $request->getBaseUrl(); ?>/2.0/js/fsn_tools/panel_relations.js"></script>

<script>	
	function getDateToCompare(eltId){
		var ddate = $('#'+eltId).val();
		var pdebut = ddate.split('/');
					
		ddate = pdebut[2] + '-' + pdebut[1] + '-' + pdebut[0];
			
		var dDate = new Date(ddate);
		return dDate;
	}
	
	function requiredRelationField(cleField1, cleField2, messageRequis, messageLimite, messageRequisSup){
		var pfai_us = $("#relations-participation");
		$("#"+cleField1+pfai_us.attr('id')).isValid(function(){			
			var dDebut = getDateToCompare(cleField1+pfai_us.attr('id'));
			var dFin = getDateToCompare(cleField2+pfai_us.attr('id'));
						
			if($("#"+cleField1+pfai_us.attr('id')).val() == '' || $("#"+cleField2+pfai_us.attr('id')).val() == '' ){
				return messageRequis;
			}
			else if(dDebut > dFin){
				return messageRequisSup;
			}
			
			var oadDebut = getDateToCompare('debut');
			var oadFin = getDateToCompare('fin');
			
			if(dDebut < oadDebut || dDebut > oadFin || dFin < oadDebut || dFin > oadFin){
				return messageLimite;
			}
			return true;
			
		});
	}
		
	$(function(){	
		requiredRelationField("<?php echo $helper_form_part->getElement('debut')->get('id') ?>", "<?php echo $helper_form_part->getElement('fin')->get('id') ?>", "<?php echo $filter_no_html->filter( $i18n -> say('verror_requisAll') ) ?>", "<?php echo $filter_no_html->filter( $i18n -> say('oa_LimiteDatation') ) ?>", "<?php echo $filter_no_html->filter( $i18n -> say('oa_superieurDatation') ) ?>");
	});
	
</script>

<h2 class="page-header">
	<?php echo $filter_no_html->filter( $i18n -> say('add_form')).' '.$filter_no_html->filter( $i18n -> say('oa')) ; ?>
</h2>
<!-- Conteneur du form_oa - Start -->
<form method="post" name="form_oa" action="" role="form" class="form-horizontal">
	<!-- Conteneur des panels - Start -->
	<div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
		<!-- Panel Indentification - Start -->
		<div id="panel_identification" class="panel panel-primary">
			<!-- Panel Indentification Titre - Start -->
			<div class="panel-heading" role="tab" id="headingIdentification">
				<h4 class="panel-title">
					<span class="icon-address" aria-hidden="true"></span>&nbsp;
					<a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseIdentification"
					   aria-expanded="true" aria-controls="collapseIdentification">
						<?php echo $filter_no_html->filter( $i18n -> say('identification')) ; ?>
					</a>
				</h4>
			</div>
			<!-- Panel Indentification Titre - End -->
			<!-- Panel Identification Dépliage - Start -->
			<div id="collapseIdentification" class="panel-collapse collapse in" role="tabpanel" aria-labelledby="headingIdentification">
				<div class="form-group field text" id="Fsitefouille_id">
					<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="<?php echo $helper_form->getElement('sitefouille_id')->get('id'); ?> ">
						<?php echo $helper_form->getElement('sitefouille_id')->get('label'); ?>
					</label>
					<div class="col-lg-9 col-md-9 col-sm-6 col-xs-6">
						<input id="<?php echo $helper_form->getElement('sitefouille_id')->get('id').'_intitule'; ?>" class="form-control"
						   type="text" value="<?php echo $helper_form->getElement('sitefouille_id')->get('intitule'); ?>"
						   readonly="1">
					</div>
					<?php echo $helper_form->getElement('sitefouille_id')->getHtml(); ?>
				</div>
				<div class="form-group field text" id="Fidentification">
					<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="identification">
						<?php echo $helper_form->getElement('identification')->get('label').' '.((isRequired($helper_form,"identification")) ? '*' : '');?>
					</label>
					<div>
						<?php echo $helper_form->getElement('identification')->getHtml();?>
					</div>
				</div>
				<div class="form-group field textarea" id="Farretedesignation">
					<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="arretedesignation">
						<?php echo $helper_form->getElement('arretedesignation')->get('label').' '.((isRequired($helper_form,"arretedesignation")) ? '*' : '');?>
					</label>
					<div>
						<?php echo $helper_form->getElement('arretedesignation')->getHtml();?>
					</div>
				</div>
				<div class="form-group field text" id="Farreteprescription">
					<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="arreteprescription">
						<?php echo $helper_form->getElement('arreteprescription')->get('label').' '.((isRequired($helper_form,"arreteprescription")) ? '*' : '');?>
					</label>
					<div>
						<?php echo $helper_form->getElement('arreteprescription')->getHtml();?>
					</div>
				</div>
				<div class="form-group field text" id="Fdebutfin">
					<div class="col-lg-6 col-md-6 col-sm-12 col-xs-12" id="Fdebut">
						<label class="col-lg-6 col-md-6 col-sm-6 col-xs-6 control-label" for="debut">
							<?php echo $helper_form->getElement('debut')->get('label').' '.((isRequired($helper_form,"debut")) ? '*' : '');?>
						</label>
						<div class="margedebdatation col-lg-5 col-md-5 col-sm-5 col-xs-6">
							<?php echo $helper_form->getElement('debut')->getHtml();?>
						</div>
					</div>
					<div class="col-lg-6 col-md-6 col-sm-12 col-xs-12" id="Ffin">
						<label class="col-lg-6 col-md-6 col-sm-6 col-xs-6 control-label" for="fin">
							<?php echo $helper_form->getElement('fin')->get('label').' '.((isRequired($helper_form,"fin")) ? '*' : '');?>
						</label>
						<div class="margedebdatation col-lg-5 col-md-5 col-sm-5 col-xs-6">
							<?php echo $helper_form->getElement('fin')->getHtml();?>
						</div>
					</div>
				</div>
				<div class="form-group field text" id="Forganismeratachement">
					<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="organismeratachement">
						<?php echo $helper_form->getElement('organismeratachement')->get('label').' '.((isRequired($helper_form,"organismeratachement")) ? '*' : '');?>
					</label>
					<div>
						<?php echo $helper_form->getElement('organismeratachement')->getHtml();?>
					</div>
				</div>
				<div class="form-group field text" id="Foastatut_id">
					<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="oastatut_id">
						<?php echo $helper_form->getElement('oastatut_id')->get('label').' '.((isRequired($helper_form,"oastatut_id")) ? '*' : '');?>
					</label>
					<div>
						<?php echo $helper_form->getElement('oastatut_id')->getHtml();?>
					</div>
				</div>
				<div class="form-group field textarea" id="Fnature_id">
					<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="nature_id">
						<?php echo $helper_form->getElement('nature_id')->get('label').' '.((isRequired($helper_form,"nature_id")) ? '*' : '');?>
					</label>
					<div>
						<?php echo $helper_form->getElement('nature_id')->getHtml();?>
					</div>
				</div>
				<div class="form-group field text" id="Fconditionfouille">
					<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="conditionfouille">
						<?php echo $helper_form->getElement('conditionfouille')->get('label').' '.((isRequired($helper_form,"conditionfouille")) ? '*' : '');?>
					</label>
					<div>
						<?php echo $helper_form->getElement('conditionfouille')->getHtml();?>
					</div>
				</div>
				<div class="form-group field text" id="Fmaitriseouvrage">
					<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="maitriseouvrage">
						<?php echo $helper_form->getElement('maitriseouvrage')->get('label').' '.((isRequired($helper_form,"maitriseouvrage")) ? '*' : '');?>
					</label>
					<div>
						<?php echo $helper_form->getElement('maitriseouvrage')->getHtml();?>
					</div>
				</div>
				<div class="form-group field textarea" id="Fsurfacefouille">
					<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="surfacefouille">
						<?php echo $helper_form->getElement('surfacefouille')->get('label').' '.((isRequired($helper_form,"surfacefouille")) ? '*' : '');?>
					</label>
					<div>
						<?php echo $helper_form->getElement('surfacefouille')->getHtml();?>
					</div>
				</div>
				<div class="form-group field text" id="Fcommentaire">
					<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="commentaire">
						<?php echo $helper_form->getElement('commentaire')->get('label').' '.((isRequired($helper_form,"commentaire")) ? '*' : '');?>
					</label>
					<div>
						<?php echo $helper_form->getElement('commentaire')->getHtml();?>
					</div>
				</div>
			</div>
			<!-- Panel Identification Dépliage - End -->
		</div>
		<!-- Panel Indentification - End -->
		<!-- Panel Relations - Start -->
		<div id="panel_relations" class="panel panel-primary">
			<!-- Panel Relations Titre - Start-->
			<div class="panel-heading" role="tab" id="headingRelations">
				<h4 class="panel-title">
					<span class="icon-algorhythm" aria-hidden="true"></span>&nbsp;
					<a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion"
					   href="#collapseRelations" aria-expanded="false" aria-controls="collapseRelations">
						<?php echo $filter_no_html->filter( $i18n -> say('relation')) ; ?>
					</a>
				</h4>
			</div>
			<!-- Panel Relations Titre - End -->
			<!-- Panel Relations Dépliage - Start -->
			<div id="collapseRelations" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingRelations">
				<!-- Conteneur Panel Relations - Start -->
				<div class="panel-body">
					<!-- Conteneur Participants - Start -->
					<div role="tabpanel" class="tab-pane col-sm-12" id="Relations">
						<!-- Conteneur Participants avec marges - Start -->
						<div class="col-sm-12">
							<!-- Conteneur Participants - Start -->
							<div id="relations-participation" class="panel panel-default panel-form" name="_pparticipation_">
								<!-- Panel Participants Titre - Start -->
								<div class="panel-heading">
									<h4 class="panel-title">Participants</h4>
								</div>
								<!-- Panel Participants Titre - End -->
								<!-- Panel Oa Participants généré dynamiquement - Start -->
								<div class="panel-body">
									<?php echo $this->getResponse('Participation', 'ListParticipants',
									array('layout' => false,
									'oa_id' => null,
									'v_action' => true) );
									?>
								</div>
								<!-- Panel Oa Participants généré dynamiquement - End -->
								<!-- Form Oa Participants - Start -->
								<div class="panel-footer">
									<div class="row">
										<!-- Conteneur du Form Oa participants permettant l'ajout d'un participant - Start -->
										<div class="form-horizontal col-md-8 col-sm-8 panel-form-content">
											<!-- différents champs du Form Oa participants - Start -->
											<div class="form-group field">
												<div>
													<input type="hidden"
														   value="<?php echo $helper_form_part->getElement('oa_id')->get('value'); ?>"
														   champs="<?php echo $helper_form_part->getElement('oa_id')->get('id'); ?>"
														   id="<?php echo $helper_form_part->getElement('oa_id')->get('id').'relations-participation'; ?>">
												</div>
												<div class="col-lg-6">
													<label class="col-md-5 control-label" for="intervenant_id">
														<?php echo $helper_form_part->getElement('intervenant_id')->get('label').' '.((isRequired($helper_form_part,"intervenant_id")) ? '*' : '');?>
													</label>
													<select class="col-md-7 col-xs-6" type="text"
															champs="<?php echo $helper_form_part->getElement('intervenant_id')->get('id'); ?>"
															id="<?php echo $helper_form_part->getElement('intervenant_id')->get('id').'relations-participation'; ?>">
														<?php foreach($helper_form_part->getElement('intervenant_id')->get('options') as $id => $value){ ?>
														<option value="<?php echo $id; ?>"><?php echo $value; ?></option>
														<?php } ?>
													</select>
												</div>                                     
												<div class="col-lg-6">
													<label class="col-md-4 control-label" for="role_id">
														<?php echo $helper_form_part->getElement('role_id')->get('label').' '.((isRequired($helper_form_part,"role_id")) ? '*' : '');?>
													</label>
													<select class="col-md-7" type="text"
															champs="<?php echo $helper_form_part->getElement('role_id')->get('id'); ?>"
															id="<?php echo $helper_form_part->getElement('role_id')->get('id').'relations-participation'; ?>">
														<?php foreach($helper_form_part->getElement('role_id')->get('options') as $id => $value){ ?>
														<option value="<?php echo $id; ?>"><?php echo $value; ?></option>
														<?php } ?>
													</select>
												</div>
											</div>
											<div class="form-group field">
												<div class="col-md-6 col-sm-6">
													<label class="col-md-6 col-sm-5 control-label" for="Rdebut">
														<?php echo $helper_form_part->getElement('debut')->get('label').' '.((isRequired($helper_form_part,"debut")) ? '*' : '');?>
													</label>
													<input class='col-md-5 col-sm-6 datepicker' type="text"
														   value=""
														   champs="<?php echo $helper_form_part->getElement('debut')->get('id'); ?>"
														   id="<?php echo $helper_form_part->getElement('debut')->get('id').'relations-participation'; ?>">
												</div>                                         
												<div class="col-md-6 col-sm-6">
													<label class="col-md-4 col-sm-4 control-label" for="Rfin">
														<?php echo $helper_form_part->getElement('fin')->get('label').' '.((isRequired($helper_form_part,"fin")) ? '*' : '');?>
													</label>
													<input class="col-md-5 col-sm-6 datepicker" type="text"
														   value=""
														   champs="<?php echo $helper_form_part->getElement('fin')->get('id'); ?>"
														   id="<?php echo $helper_form_part->getElement('fin')->get('id').'relations-participation'; ?>">
												</div>
											</div>
											<!-- différents champs du Form Oa participants - End -->
										</div>
										<!-- Conteneur du Form Oa participants permetant l'ajout d'un participant - End -->
										<!-- Ajouter une relation - Start -->
										<div class="form-group field col-md-4 col-sm-4 panel-validation">
											<div class="submit-panel"></div>
											<div class="panel-info-error"></div>
										</div>
										<!-- Ajouter une relation - End -->
									</div>
								</div>
								<!-- Form Oa Participants - End -->
							</div>
							<!-- Conteneur Participants - End -->
						</div>
						<!-- Conteneur Participants avec marges - End -->
					</div>
					<!-- Conteneur Participants - End -->
				</div>
				<!-- Conteneur Panel Relations - End -->
			</div>
			<!-- Panel Relations Dépliage - End -->
		</div>
		<!-- Panel Relations - End -->
	</div>
	<!-- Conteneur des panels - End -->
	<div>
		<input class="btn btn-primary" type="submit" value="<?php echo $filter_no_html->filter( $i18n -> say('save_form') ); ?>" />
		<a href="<?php echo $this->getRequest('Oa', 'index'); ?>" class="btn btn-default"><?php echo $filter_no_html->filter( $i18n -> say('back_form') ); ?></a>
	</div>
</form>
<!-- Conteneur du form_oa - End -->
<?php
  /**
   * Indispensable pour afficher le Layout, desactivé pour les appels des differentes actions
  */
  $this->getLayout()->setEnabled(true);
?>